from typing import Type

from ._DependencyInjectionException import DependencyInjectionException


class DependencyNotFoundException(DependencyInjectionException):
    def __init__(self, dependency_cls: Type, path: str = ""):
        self.dependency_cls = dependency_cls
        self.path = path
        super().__init__(f"Dependency {dependency_cls.__name__} not found while looking for {path}")
